CorrPatterns <- function(ano, lon, lat, PCs = 4, 
                         nrow = NULL, ncol = NULL, show = FALSE){
  nlat <- length(lat)
  nlon <- length(lon)
  nPCs <- dim(PCs)[2]

  PLEASE PUT COHERENT DIMENSION NAMES
  proj.cor <- array(NA, c(nPCs, nlat, nlon))

  ## Project the PCS:
  for(t in 1:nPCs) {
    proj.cor[t, , ] <- apply(ano, c(2,3), 
      function(x) {
        cor(x, PCs[,t], use = "na.or.complete")
      }
    )
  }

  if (show) {
    brks.corr <- seq(-1, 1, 0.1)
    # blue--red colors
    cols.corr <- colorRampPalette(rev(brewer.pal(11,"RdBu")))(length(brks.corr)-1)
    PlotLayout(PlotEquiMap, c(2,3), var=proj.cor, lat=lat, lon=lon, 
               filled.continents=FALSE, bar_scale=.5, brks=brks.corr, 
               cols=cols.corr, nrow=nrow, ncol=ncol)
    invisible(proj.cor)
  } else {
    proj.cor
  }
}
